import 'dart:collection';

import 'package:_private_core/_private_core.dart';
import 'package:_private_core_network/network_resources/resources.dart';

import 'app_api.dart';
import 'model/chat_message_detault.dart'; 

class ChatRepo {
  ChatRepo._();

  static ChatRepo? _instance;

  factory ChatRepo([MyAppApi? api]) {
    _instance ??= ChatRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Map<String, dynamic> _mapParms([Map? value]) {
    Map<String, dynamic> params = {};
    if (value != null && value.isNotEmpty) {
      params.addAll(HashMap.from(value));
    }
    params
      ..removeWhere((key, value) => value == null)
      ..addAll({
        'platformId': valuePlatformByConfig(),
        "languageCode": 'de',
      });
    return params;
  }

  Future<ChatMessageDefault?> getDefaultMessagesForChat(params) async {
    NetworkResponse response =
        await _api.getDefaultMessagesForChat(_mapParms(params));
    return response.data;
  }

  Future<bool> setDefaultMessageForChat(params) async {
    NetworkResponse response =
        await _api.setDefaultMessageForChat(_mapParms(params));
    return response.data ?? false;
  }

  Future<bool> createFirstMessage(params) async {
    NetworkResponse response =
        await _api.createFirstMessage(_mapParms(params));
    return response.data ?? false;
  }
}
