import 'dart:collection';

import 'package:_private_core/_private_core.dart';
import 'package:_private_core_network/network_resources/resources.dart';
import 'app_api.dart';
import 'models/platform_user_detail.dart';
import 'models/platform_user_list.dart';

class CommonRepo {
  CommonRepo._();

  static CommonRepo? _instance;

  factory CommonRepo([MyAppApi? api]) {
    _instance ??= CommonRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Map<String, dynamic> _mapParms([Map? value]) {
    Map<String, dynamic> params = {};
    if (value != null && value.isNotEmpty) params.addAll(HashMap.from(value));
    params
      ..removeWhere((key, value) => value == null)
      ..addAll({
        'platformId': valuePlatformByConfig(),
        'languageCode': appPrefs.languageCode,
      });
    return params;
  }

  Future<bool> trackOnClick(params) async {
    NetworkResponse response = await _api.trackOnClick(_mapParms(params));
    return response.data ?? false;
  }

  Future<PlatformUserList?> getPlatformsUsersFromAdmin(params) async {
    NetworkResponse response =
        await _api.getPlatformsUsersFromAdmin(_mapParms(params));
    return response.data;
  }

  Future<PlatformUserDetail?> getPlatformsUserDetailsFromAdmin(params) async {
    NetworkResponse response =
        await _api.getPlatformsUserDetailsFromAdmin(_mapParms(params));
    return response.data;
  }
}
