import 'package:_private_core/_private_core.dart';
import 'package:_private_core_network/network_resources/resources.dart';

import 'app_api.dart';
import 'models/country_available.dart';

class CountryRepo {
  CountryRepo._();

  static CountryRepo? _instance;

  factory CountryRepo([MyAppApi? api]) {
    _instance ??= CountryRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Map<String, dynamic> _mapParms([Map<String, dynamic>? value]) {
    Map<String, dynamic> params = {
      'platformId': valuePlatformByConfig(),
      'languageCode': appPrefs.languageCode,
    };
    if (value != null && value.isNotEmpty) params.addAll(value);
    params.removeWhere((key, value) => value == null);
    return params;
  }

  Future<List<CountryAvailable>> getcountriesAvailableByKeyword(
      [params]) async {
    NetworkResponse response =
        await _api.getcountriesAvailableByKeyword(_mapParms(params));
    return response.data ?? [];
  }

  Future<CurrencyAvailable?> getCurrencyOfCountry(params) async {
    NetworkResponse response = await _api.getCurrencyOfCountry(params);
    return response.data;
  }
}
