class PaymentBillingInfo {
  String? billingName;
  String? street;
  String? zip;
  String? city;
  String? state;
  String? country;
  String? countryCode;
  String? companyName;
  String? vat;
  String? companyNumber;
  String? currency;
  int? id;
  int? isDefault;
  int? createdAt;
  int? updatedAt;

  PaymentBillingInfo(
      {this.billingName,
      this.street,
      this.zip,
      this.city,
      this.state,
      this.country,
      this.countryCode,
      this.companyName,
      this.vat,
      this.companyNumber,
      this.currency,
      this.id,
      this.isDefault,
      this.createdAt,
      this.updatedAt});

  PaymentBillingInfo.fromJson(Map<String, dynamic> json) {
    billingName = json["billingName"];
    street = json["street"];
    zip = json["zip"];
    city = json["city"];
    state = json["state"];
    country = json["country"];
    countryCode = json["countryCode"];
    companyName = json["companyName"];
    vat = json["VAT"];
    companyNumber = json["companyNumber"];
    currency = json["currency"];
    id = json["id"];
    isDefault = json["isDefault"];
    createdAt = json["createdAt"];
    updatedAt = json["updatedAt"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["billingName"] = billingName;
    _data["street"] = street;
    _data["zip"] = zip;
    _data["city"] = city;
    _data["state"] = state;
    _data["country"] = country;
    _data["countryCode"] = countryCode;
    _data["companyName"] = companyName;
    _data["VAT"] = vat;
    _data["companyNumber"] = companyNumber;
    _data["currency"] = currency;
    _data["id"] = id;
    _data["isDefault"] = isDefault;
    _data["createdAt"] = createdAt;
    _data["updatedAt"] = updatedAt;
    return _data;
  }

  PaymentBillingInfo copyWith({
    String? billingName,
    String? street,
    String? zip,
    String? city,
    String? state,
    String? country,
    String? countryCode,
    String? companyName,
    String? vat,
    String? companyNumber,
    String? currency,
    int? id,
    int? isDefault,
    int? createdAt,
    int? updatedAt,
  }) =>
      PaymentBillingInfo(
        billingName: billingName ?? this.billingName,
        street: street ?? this.street,
        zip: zip ?? this.zip,
        city: city ?? this.city,
        state: state ?? this.state,
        country: country ?? this.country,
        countryCode: countryCode ?? this.countryCode,
        companyName: companyName ?? this.companyName,
        vat: vat ?? this.vat,
        companyNumber: companyNumber ?? this.companyNumber,
        currency: currency ?? this.currency,
        id: id ?? this.id,
        isDefault: isDefault ?? this.isDefault,
        createdAt: createdAt ?? this.createdAt,
        updatedAt: updatedAt ?? this.updatedAt,
      );
}
