class PlaceModel {
  String? street1;
  String? street2;
  String? zip;
  String? city;
  String? state;
  String? country;
  String? countryCode;
  String? informations;
  String? phone;
  String? phoneCode;
  int? placeCatId;
  int? arckipel;
  double? lng;
  double? lat;
  String? utcModifier;
  int? id;
  String? label;
  String? uniqueId;
  int? isBilling;

  PlaceModel(
      {this.street1,
      this.street2,
      this.zip,
      this.city,
      this.state,
      this.country,
      this.countryCode,
      this.informations,
      this.phone,
      this.phoneCode,
      this.placeCatId,
      this.arckipel,
      this.lng,
      this.lat,
      this.utcModifier,
      this.id,
      this.label,
      this.uniqueId,
      this.isBilling});

  PlaceModel.fromJson(Map<String, dynamic> json) {
    if (json["street1"] is String) this.street1 = json["street1"];
    if (json["street2"] is String) this.street2 = json["street2"];
    if (json["zip"] is String) this.zip = json["zip"];
    if (json["city"] is String) this.city = json["city"];
    if (json["state"] is String) this.state = json["state"];
    if (json["country"] is String) this.country = json["country"];
    if (json["countryCode"] is String) this.countryCode = json["countryCode"];
    if (json["informations"] is String) {
      this.informations = json["informations"];
    }
    if (json["phone"] is String) this.phone = json["phone"];
    if (json["phoneCode"] is String) this.phoneCode = json["phoneCode"];
    if (json["placeCatId"] is int) this.placeCatId = json["placeCatId"];
    if (json["arckipel"] is int) this.arckipel = json["arckipel"];
    if (json["lng"] is double) this.lng = json["lng"];
    if (json["lat"] is double) this.lat = json["lat"];
    if (json["utcModifier"] is String) this.utcModifier = json["utcModifier"];
    if (json["id"] is int) this.id = json["id"];
    if (json["label"] is String) this.label = json["label"];
    if (json["uniqueId"] is String) this.uniqueId = json["uniqueId"];
    if (json["isBilling"] is int) this.isBilling = json["isBilling"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["street1"] = this.street1;
    data["street2"] = this.street2;
    data["zip"] = this.zip;
    data["city"] = this.city;
    data["state"] = this.state;
    data["country"] = this.country;
    data["countryCode"] = this.countryCode;
    data["informations"] = this.informations;
    data["phone"] = this.phone;
    data["phoneCode"] = this.phoneCode;
    data["placeCatId"] = this.placeCatId;
    data["arckipel"] = this.arckipel;
    data["lng"] = this.lng;
    data["lat"] = this.lat;
    data["utcModifier"] = this.utcModifier;
    data["id"] = this.id;
    data["label"] = this.label;
    data["uniqueId"] = this.uniqueId;
    data["isBilling"] = this.isBilling;
    return data;
  }

  String toAddressString() {
    return ((street1 ?? '').isNotEmpty ? "$street1, " : "") +
        ((city ?? '').isNotEmpty ? "$city, " : "") +
        (country ?? '');
  }

  String toAddress2String() {
    if ((zip ?? "").isNotEmpty) {
      return '$street1\n$zip $city\n$country';
    } else {
      return '$street1\n$city\n$country';
    }
  }
}

class PlaceCatModel {
  int? catLocId;
  int? catId;
  String? local;
  String? localisedName;
  int? privacyEnforced;

  PlaceCatModel(
      {this.catLocId,
      this.catId,
      this.local,
      this.localisedName,
      this.privacyEnforced});

  PlaceCatModel.fromJson(Map<String, dynamic> json) {
    if (json["catLocId"] is int) this.catLocId = json["catLocId"];
    if (json["catId"] is int) this.catId = json["catId"];
    if (json["local"] is String) this.local = json["local"];
    if (json["localisedName"] is String) {
      this.localisedName = json["localisedName"];
    }
    if (json["privacyEnforced"] is int) {
      this.privacyEnforced = json["privacyEnforced"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["catLocId"] = this.catLocId;
    data["catId"] = this.catId;
    data["local"] = this.local;
    data["localisedName"] = this.localisedName;
    data["privacyEnforced"] = this.privacyEnforced;
    return data;
  }
}
