class SubscriptionState {
  int? id;
  dynamic agencyId;
  dynamic subscriptionActiveUntil;
  dynamic autoRenewActivated;
  dynamic subscriptionExpirationEmailReminder;
  dynamic subscriptionAutoRenewEmailReminder;
  dynamic numberOfAdsRemaining;
  dynamic adsRemainingEmailReminder;
  dynamic numberOfAdsInPackageOrigin;
  dynamic countryAllowed;
  dynamic isWorldPass;
  dynamic orderId;
  dynamic isPendingApproval;
  dynamic sms;

  SubscriptionState({
    this.id,
    this.agencyId,
    this.subscriptionActiveUntil,
    this.autoRenewActivated,
    this.subscriptionExpirationEmailReminder,
    this.subscriptionAutoRenewEmailReminder,
    this.numberOfAdsRemaining,
    this.adsRemainingEmailReminder,
    this.numberOfAdsInPackageOrigin,
    this.countryAllowed,
    this.isWorldPass,
    this.orderId,
    this.isPendingApproval,
    this.sms,
  });

  SubscriptionState.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    agencyId = json["agencyId"];
    subscriptionActiveUntil = json["subscriptionActiveUntil"];
    autoRenewActivated = json["autoRenewActivated"];
    subscriptionExpirationEmailReminder =
        json["subscriptionExpirationEmailReminder"];
    subscriptionAutoRenewEmailReminder =
        json["subscriptionAutoRenewEmailReminder"];
    numberOfAdsRemaining = json["numberOfAdsRemaining"];
    adsRemainingEmailReminder = json["adsRemainingEmailReminder"];
    numberOfAdsInPackageOrigin = json["numberOfAdsInPackageOrigin"];
    countryAllowed = json["countryAllowed"];
    isWorldPass = json["isWorldPass"];
    orderId = json["orderId"];
    isPendingApproval = json["isPendingApproval"];
    sms = json["sms"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["agencyId"] = agencyId;
    _data["subscriptionActiveUntil"] = subscriptionActiveUntil;
    _data["autoRenewActivated"] = autoRenewActivated;
    _data["subscriptionExpirationEmailReminder"] =
        subscriptionExpirationEmailReminder;
    _data["subscriptionAutoRenewEmailReminder"] =
        subscriptionAutoRenewEmailReminder;
    _data["numberOfAdsRemaining"] = numberOfAdsRemaining;
    _data["adsRemainingEmailReminder"] = adsRemainingEmailReminder;
    _data["numberOfAdsInPackageOrigin"] = numberOfAdsInPackageOrigin;
    _data["countryAllowed"] = countryAllowed;
    _data["isWorldPass"] = isWorldPass;
    _data["orderId"] = orderId;
    _data["isPendingApproval"] = isPendingApproval;
    _data["sms"] = sms;
    return _data;
  }
}
