class TokenResponseLogin {
  String? accessToken;
  String? refreshToken;
  int? alreadyLoginBefore;
  String? firstName;
  String? lastName;
  String? firebaseId;
  int? registrationLevel;
  int? registrationLevelRequired;
  int? waitForApproval;
  String? qrCode;
  TokenResponseLoginMqtt? mqtt;
  int? isPro;
  int? isTmp;

  TokenResponseLogin({
    this.accessToken,
    this.refreshToken,
    this.alreadyLoginBefore,
    this.firstName,
    this.lastName,
    this.firebaseId,
    this.registrationLevel,
    this.registrationLevelRequired,
    this.waitForApproval,
    this.qrCode,
    this.mqtt,
    this.isPro,
    this.isTmp,
  });

  TokenResponseLogin.fromJson(Map<String, dynamic> json) {
    accessToken = json["accessToken"];
    refreshToken = json["refreshToken"];
    alreadyLoginBefore = json["alreadyLoginBefore"];
    firstName = json["firstName"];
    lastName = json["lastName"];
    firebaseId = json["firebaseId"];
    registrationLevel = json["registrationLevel"];
    registrationLevelRequired = json["registrationLevelRequired"];
    waitForApproval = json["waitForApproval"];
    qrCode = json["qrCode"];
    isPro = json["isPro"];
    isTmp = json["isTmp"];

    mqtt = json["mqtt"] == null
        ? null
        : TokenResponseLoginMqtt.fromJson(json["mqtt"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["accessToken"] = accessToken;
    _data["refreshToken"] = refreshToken;
    _data["alreadyLoginBefore"] = alreadyLoginBefore;
    _data["firstName"] = firstName;
    _data["lastName"] = lastName;
    _data["firebaseId"] = firebaseId;
    _data["registrationLevel"] = registrationLevel;
    _data["registrationLevelRequired"] = registrationLevelRequired;
    _data["waitForApproval"] = waitForApproval;
    _data["qrCode"] = qrCode;
    _data["isPro"] = isPro;
    _data["isTmp"] = isTmp;
    if (mqtt != null) {
      _data["mqtt"] = mqtt?.toJson();
    }
    return _data;
  }
}

class TokenResponseLoginMqtt {
  String? channel;
  String? clientId;
  String? username;
  String? password;

  TokenResponseLoginMqtt(
      {this.channel, this.clientId, this.username, this.password});

  TokenResponseLoginMqtt.fromJson(Map<String, dynamic> json) {
    channel = json["channel"];
    clientId = json["clientId"];
    username = json["username"];
    password = json["password"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["channel"] = channel;
    _data["clientId"] = clientId;
    _data["username"] = username;
    _data["password"] = password;
    return _data;
  }
}
