
import 'package:_private_core_network/network_resources/resources.dart';

import 'app_api.dart';

class PaymentRepo {
  PaymentRepo._();

  static PaymentRepo? _instance;

  factory PaymentRepo([MyAppApi? api]) {
    _instance ??= PaymentRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Future<bool> updateBillingInfos(params) async {
    NetworkResponse response = await _api.updateBillingInfos(params);
    return response.data ?? false;
  }

  Future<bool> deleteBillingInfos(params) async {
    NetworkResponse response = await _api.deleteBillingInfos(params);
    return response.data ?? false;
  }

  Future<bool> setDefaultBillingInfos(params) async {
    NetworkResponse response = await _api.setDefaultBillingInfos(params);
    return response.data ?? false;
  }

  Future<List<PaymentBillingInfo>> getBillingInfos([params]) async {
    NetworkResponse response = await _api.getBillingInfos(params);
    return response.data ?? [];
  }

  Future<PaymentBillingInfo?> addBillingInfos(params) async {
    NetworkResponse response = await _api.addBillingInfos(params);
    return response.data;
  }
}
